Bug 627555 - Review Request: tlomt-orbitron-fonts - Geometric sans-serif typeface
Summary: Review Request: tlomt-orbitron-fonts - Geometric sans-serif typeface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 627716 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-26 11:56 UTC by Lameire Alexis
Modified: 2010-09-16 03:52 UTC (History)
3 users (show)

Fixed In Version: tlomt-orbitron-fonts-1.000-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-10 03:27:36 UTC
sanjay.ankur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
repo-font-audit results for the package (5.46 KB, application/x-xz)
2010-08-31 17:36 UTC, Paul Flo Williams
no flags Details

Description Lameire Alexis 2010-08-26 11:56:41 UTC
Spec URL: http://alexises.fedorapeople.org/tlomt-orbitron-fonts/tlomt-orbitron-fonts.spec
SRPM URL: http://alexises.fedorapeople.org/tlomt-orbitron-fonts/tlomt-orbitron-fonts-1.0.0.0-1.fc13.src.rpm
Description: Orbitron is a geometric sans-serif typeface intended for display purposes. It
features four weights (light, medium, bold, and black), a stylistic
alternative, small caps, and a ton of alternate glyphs. Orbitron was designed
so that graphic designers in the future will have some alternative to typefaces
like Eurostile or Bank Gothic. If you’ve ever seen a futuristic sci-fi movie,
you have may noticed that all other fonts have been lost or destroyed in the
apocalypse that led humans to flee earth. Only those very few geometric
typefaces have survived to be used on spaceship exteriors, spacestation
signage, monopolistic corporate branding, uniforms featuring aerodynamic
shoulder pads, etc. Of course Orbitron could also be used on the posters for
the movies portraying this inevitable future.

rpmlint stat :
tlomt-orbitron-fonts.noarch: W: spelling-error %description -l en_US ve -> be, v, e
tlomt-orbitron-fonts.noarch: W: spelling-error %description -l en_US fi -> phi, fee, if
tlomt-orbitron-fonts.noarch: W: spelling-error %description -l en_US spacestation -> space station, space-station, contestation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Ankur Sinha (FranciscoD) 2010-08-26 13:59:47 UTC
REVIEW:

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
? Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:
[Ankur@070905042 rpmbuild]$ md5sum orbitron.zip SOURCES/orbitron.zip 
64f4966fc00f5396bea757f391e6cdf4  orbitron.zip
64f4966fc00f5396bea757f391e6cdf4  SOURCES/orbitron.zip



- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
+ Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

- Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.
[Ankur@070905042 SPECS]$ rpmlint tlomt-orbitron-fonts.spec ../SRPMS/tlomt-orbitron-fonts-1.0.0.0-1.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
tlomt-orbitron-fonts.spec: W: no-buildroot-tag
tlomt-orbitron-fonts.src: W: spelling-error %description -l en_US ve -> be, v, e
tlomt-orbitron-fonts.src: W: spelling-error %description -l en_US fi -> phi, fee, if
tlomt-orbitron-fonts.src: W: spelling-error %description -l en_US spacestation -> space station, space-station, contestation
tlomt-orbitron-fonts.src: W: no-buildroot-tag
tlomt-orbitron-fonts.noarch: W: spelling-error %description -l en_US ve -> be, v, e
tlomt-orbitron-fonts.noarch: W: spelling-error %description -l en_US fi -> phi, fee, if
tlomt-orbitron-fonts.noarch: W: spelling-error %description -l en_US spacestation -> space station, space-station, contestation
tlomt-orbitron-fonts.src: W: spelling-error %description -l en_US ve -> be, v, e
tlomt-orbitron-fonts.src: W: spelling-error %description -l en_US fi -> phi, fee, if
tlomt-orbitron-fonts.src: W: spelling-error %description -l en_US spacestation -> space station, space-station, contestation
tlomt-orbitron-fonts.src: W: no-buildroot-tag
3 packages and 1 specfiles checked; 0 errors, 12 warnings.


SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1.I couldn't find the version number. Where is it mentioned? In case it isn't mentioned at all, it would be better to use the timestamp of the font as versioning info instead. 

2.Some spelling suggestions in the rpmlint output. Please have a look.

Apart from these, it looks okay.

Comment 2 Lameire Alexis 2010-08-26 14:24:08 UTC
The version is embedded into the fonts files .otf. It can be read using fontforge or otfinfo -v.

Rpmlint spelling issues are false positive as you could have seen in the %description.

Comment 3 Ankur Sinha (FranciscoD) 2010-08-26 14:52:15 UTC
so:


[Ankur@070905042 OTF]$ otfinfo -v orbitron-*.otf
orbitron-black.otf:1.000
orbitron-light.otf:1.000
orbitron-medium.otf:1.000

the version should be 1.000 and not 1.0.0.0 ?

Comment 5 Ankur Sinha (FranciscoD) 2010-08-27 02:23:53 UTC
*** Bug 627716 has been marked as a duplicate of this bug. ***

Comment 6 Ankur Sinha (FranciscoD) 2010-08-27 02:26:23 UTC
Please do confirm the fontconf priority once. I'm not very sure about it.

Apart from that, XX APPROVED XX

Comment 7 Lameire Alexis 2010-08-27 11:17:11 UTC
My font implement the majority of latin chars. In the guidelines it's mentioned that is this case you must choise the priority number bitwenn 61 and 64 [1].
To choice the exact number it's leave to the choise of the packager [2].

thenks for this pertinant question Alexis.
[1] : http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Choosing_a_ruleset_numeral_prefix
[2] : http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Choosing_a_ruleset_numeral_prefix

Comment 8 Lameire Alexis 2010-08-27 11:18:52 UTC
Sorry the second link is not good :) bad validing : http://lists.fedoraproject.org/pipermail/fonts/2008-January/000298.html

Comment 9 Ankur Sinha (FranciscoD) 2010-08-27 11:33:56 UTC
okay! That's cleared then. Please proceed with the git request etc.

Comment 10 Lameire Alexis 2010-08-27 12:10:05 UTC
ew Package SCM Request
=======================
Package Name: tlomt-orbitron-fonts
Short Description: Geometric sans-serif typeface
Owners: alexises
Branches: f13 f14
InitialCC:

Comment 11 Kevin Fenzi 2010-08-29 19:04:59 UTC
Your request looks cut off. Can you add another comment with a full request?
The tool we use to process these can't find the request here.

Comment 12 Lameire Alexis 2010-08-29 21:00:04 UTC
New Package SCM Request
=======================
Package Name: tlomt-orbitron-fonts
Short Description: Geometric sans-serif typeface
Owners: alexises
Branches: f13 f14
InitialCC: fonts-sig

Comment 13 Kevin Fenzi 2010-08-30 17:38:37 UTC
Git done (by process-git-requests).

Thanks!

Comment 14 Fedora Update System 2010-08-30 19:42:01 UTC
tlomt-orbitron-fonts-1.000-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tlomt-orbitron-fonts-1.000-2.fc14

Comment 15 Fedora Update System 2010-08-30 19:48:23 UTC
tlomt-orbitron-fonts-1.000-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tlomt-orbitron-fonts-1.000-2.fc13

Comment 16 Fedora Update System 2010-08-30 20:23:20 UTC
tlomt-orbitron-fonts-1.000-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tlomt-orbitron-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tlomt-orbitron-fonts-1.000-2.fc14

Comment 17 Paul Flo Williams 2010-08-31 17:36:09 UTC
Created attachment 442243 [details]
repo-font-audit results for the package

Comment 18 Fedora Update System 2010-09-10 03:27:31 UTC
tlomt-orbitron-fonts-1.000-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-09-16 03:52:38 UTC
tlomt-orbitron-fonts-1.000-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.